path: /build/build/colamd-sci-libs-3.3.3+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e "s|src_install.*|src_install() {\n\tcmake_src_install|g" /var/git/meta-repo/kits/science-kit/sci-libs/colamd/colamd-3.3.3.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sci-libs/colamd -pv -t && \
    emerge -j ${JOBS} --nodeps sci-libs/colamd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/colamd && luet-portage --dir /pkgdir/colamd
    sci-libs/colamd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:18edf90da51ff9c88fd9d79f5e8470e7007e3f59577fc27685ee82b6c17e1e9a
  package:
    name: colamd
    version: 3.3.3+2
    category: sci-libs
    requires:
    - name: libzmf
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Column approximate minimum degree ordering algorithm
    uri:
    - http://www.cise.ufl.edu/research/sparse/ccolamd/
    license: LGPL-2.1
    buildtimestamp: 2024-05-25 09:50:53.179711295 +0000 UTC m=+79.192191825
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: sci-libs/suitesparseconfig virtual/pkgconfig
      IUSE: static-libs
      RDEPEND: sci-libs/suitesparseconfig
      emerge.packages: sci-libs/colamd
      kit: science-kit
      original.package.name: sci-libs/colamd
      original.package.slot: "0"
      original.package.version: 3.3.3
    treedir: /build/packages
  package_dir: /pkgdir/colamd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 58f8dc0aeb6fbbddac033b2f7105ef8ad9f82862d335baef550f4acc67dd23e4
compressiontype: zstd
files:
- usr/include/suitesparse/colamd.h
- usr/lib64/cmake/COLAMD/COLAMDConfig.cmake
- usr/lib64/cmake/COLAMD/COLAMDConfigVersion.cmake
- usr/lib64/cmake/COLAMD/COLAMDTargets-gentoo.cmake
- usr/lib64/cmake/COLAMD/COLAMDTargets.cmake
- usr/lib64/libcolamd.a
- usr/lib64/libcolamd.so
- usr/lib64/libcolamd.so.3
- usr/lib64/libcolamd.so.3.3.3
- usr/lib64/libsuitesparseconfig.a
- usr/lib64/pkgconfig/COLAMD.pc
- usr/share/doc/colamd-3.3.3/ChangeLog.bz2
- usr/share/doc/colamd-3.3.3/README.md.bz2
- var/db/pkg/sci-libs/colamd-3.3.3/BDEPEND
- var/db/pkg/sci-libs/colamd-3.3.3/BUILD_TIME
- var/db/pkg/sci-libs/colamd-3.3.3/CATEGORY
- var/db/pkg/sci-libs/colamd-3.3.3/CBUILD
- var/db/pkg/sci-libs/colamd-3.3.3/CFLAGS
- var/db/pkg/sci-libs/colamd-3.3.3/CHOST
- var/db/pkg/sci-libs/colamd-3.3.3/CONTENTS
- var/db/pkg/sci-libs/colamd-3.3.3/COUNTER
- var/db/pkg/sci-libs/colamd-3.3.3/CXXFLAGS
- var/db/pkg/sci-libs/colamd-3.3.3/DEFINED_PHASES
- var/db/pkg/sci-libs/colamd-3.3.3/DEPEND
- var/db/pkg/sci-libs/colamd-3.3.3/DESCRIPTION
- var/db/pkg/sci-libs/colamd-3.3.3/EAPI
- var/db/pkg/sci-libs/colamd-3.3.3/FEATURES
- var/db/pkg/sci-libs/colamd-3.3.3/HOMEPAGE
- var/db/pkg/sci-libs/colamd-3.3.3/INHERITED
- var/db/pkg/sci-libs/colamd-3.3.3/IUSE
- var/db/pkg/sci-libs/colamd-3.3.3/IUSE_EFFECTIVE
- var/db/pkg/sci-libs/colamd-3.3.3/KEYWORDS
- var/db/pkg/sci-libs/colamd-3.3.3/LDFLAGS
- var/db/pkg/sci-libs/colamd-3.3.3/LICENSE
- var/db/pkg/sci-libs/colamd-3.3.3/NEEDED
- var/db/pkg/sci-libs/colamd-3.3.3/PF
- var/db/pkg/sci-libs/colamd-3.3.3/PROVIDES
- var/db/pkg/sci-libs/colamd-3.3.3/RDEPEND
- var/db/pkg/sci-libs/colamd-3.3.3/REQUIRES
- var/db/pkg/sci-libs/colamd-3.3.3/SIZE
- var/db/pkg/sci-libs/colamd-3.3.3/SLOT
- var/db/pkg/sci-libs/colamd-3.3.3/USE
- var/db/pkg/sci-libs/colamd-3.3.3/colamd-3.3.3.ebuild
- var/db/pkg/sci-libs/colamd-3.3.3/environment.bz2
- var/db/pkg/sci-libs/colamd-3.3.3/repository
package_cacheimage: ""
runtime:
  name: colamd
  version: 3.3.3+2
  category: sci-libs
  requires:
  - name: suitesparseconfig
    version: '>=0'
    category: sci-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Column approximate minimum degree ordering algorithm
  uri:
  - http://www.cise.ufl.edu/research/sparse/ccolamd/
  license: LGPL-2.1
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: sci-libs/suitesparseconfig virtual/pkgconfig
    IUSE: static-libs
    RDEPEND: sci-libs/suitesparseconfig
    emerge.packages: sci-libs/colamd
    kit: science-kit
    original.package.name: sci-libs/colamd
    original.package.slot: "0"
    original.package.version: 3.3.3
